import React from "react";
import translate from 'redux-polyglot/translate';
import { connect } from 'react-redux';
import "../styles/content.scss"
import Scale from './scale';
import Sidebar from './sidebar';


class ContentMovies extends React.Component {

  render() {

      let scales = {
          fx : <translate nojsx>FX</translate>
      };

    return (
      <div className="content-wrapper">
        <div className="content-title">{this.props.element.name}</div>
        <div className="content-container">
            <div className="content-container-scales">
                <Scale title="Scénario" contentId={this.props.element.id} contentType={this.props.type} scaleType="scenario"/>
                <Scale title={scales['fx']} contentId={this.props.element.id} contentType={this.props.type} scaleType="fx"/>
            </div>
            <div className="content-container-data">
                <div className="content-container-data-container">
                    <div className="content-container-metadata"></div>
                    <div className="content-container-picture">
                        <img src={this.props.element.picture} alt=""/>
                    </div>
                </div>
                <div className="content-container-description-container">
                    <div className="content-container-description-title">
                        <translate>Description</translate>
                    </div>
                    <div className="content-container-description">
                        <div>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minus ab neque sed, temporibus similique suscipit expedita ipsa animi blanditiis maxime quaerat, nesciunt eos voluptate doloribus accusantium vero in? Veritatis, fugit.</div>
                        <div>Animi odit repellat quibusdam unde consectetur architecto iste error corrupti, harum nostrum doloremque, incidunt quae eligendi esse tenetur explicabo atque amet laborum et qui sapiente nam, omnis tempore voluptatibus temporibus.</div>
                        <div>Inventore optio, accusamus eligendi corporis minima voluptates molestias assumenda, numquam tempore obcaecati! Est esse quibusdam minus at, nisi voluptatem! Iure modi officiis qui laudantium laborum quasi quo error, cupiditate est!</div>
                        <div>Accusamus obcaecati, incidunt iure sapiente nostrum libero praesentium tempore minus autem illum repellendus tempora eos quasi laudantium, reprehenderit illo inventore aperiam ratione harum fuga molestiae, facilis id, perferendis recusandae repellat.</div>
                        <div>Reiciendis eaque neque, ea non mollitia, nemo vero unde ullam saepe libero magnam nisi delectus quam laboriosam. Atque repudiandae impedit quo reiciendis eius, expedita iste, ipsa, sit quia laudantium dolorem.</div>
                        <div>Voluptatem ipsum nam mollitia modi deserunt vero incidunt, ex rem. Dolorem optio consectetur voluptatibus perferendis nemo assumenda at perspiciatis veniam enim exercitationem, est nobis sunt possimus adipisci corrupti vitae ipsum.</div>
                        <div>Odit temporibus iste necessitatibus quis libero, sequi deserunt architecto exercitationem, impedit tenetur a ducimus natus ex laboriosam obcaecati, quia earum, eveniet ad autem molestias voluptatum tempora dolores! Esse ullam, non.</div>
                        <div>Adipisci vero dolore modi corrupti sapiente quos tenetur explicabo eos et hic ratione reiciendis cumque labore, assumenda fuga dolorem doloremque necessitatibus cum voluptas harum, numquam, praesentium doloribus eius! Adipisci, repellat?</div>
                        <div>Veniam delectus enim perspiciatis quisquam sed repudiandae non sint nisi, possimus rerum ratione, illum ducimus deserunt quos natus eaque rem cumque officiis facere ullam, a at voluptate praesentium architecto. Pariatur.</div>
                        <div>Ea quo, modi deleniti illum itaque? Similique qui, possimus expedita architecto iste laborum et eum laboriosam? Dicta facere impedit aperiam nisi, voluptatibus aliquid quam! Velit at culpa, odit autem odio.</div>
                        <div>Consequuntur, molestiae dicta blanditiis ipsa aperiam repellendus neque, magni temporibus quis numquam iste saepe nemo veritatis, tempore ullam impedit facere. Cupiditate dolorem dicta eveniet sunt, porro totam, doloremque. Nobis, dignissimos.</div>
                        <div>Alias atque assumenda reiciendis tempore minima incidunt saepe consequatur odio itaque optio sapiente distinctio amet sed ex dicta quam accusamus ipsa possimus, delectus quasi fugiat nemo tenetur vero cumque. Repudiandae?</div>
                        <div>Nam, distinctio esse, dicta maxime autem, officiis sequi mollitia praesentium soluta earum ex excepturi laudantium debitis dolor. Voluptas reiciendis, nesciunt harum minus vel. Iusto eius rerum corrupti, suscipit qui necessitatibus?</div>
                        <div>Aliquam minus incidunt nihil corrupti, ab. Qui, in temporibus corporis perspiciatis sunt sequi nesciunt quam. Sit labore vitae, cum commodi ex eaque unde totam praesentium magnam aut magni et, nisi!</div>
                        <div>Facere reprehenderit repudiandae, quaerat quo minus, optio esse at nam iure explicabo rem temporibus, aut. Expedita itaque, doloremque ducimus praesentium fugit incidunt dolores adipisci harum. Maiores cupiditate tempora, reiciendis placeat.</div>
                        <div>Ullam, corporis asperiores magni quaerat laboriosam officia fugiat perspiciatis doloremque illo, et iste corrupti id ipsa accusamus sed labore. Alias at, optio eos magni harum dignissimos perferendis incidunt laudantium quae.</div>
                        <div>Rem ab amet, ratione quaerat incidunt optio fugit nam molestias alias expedita nihil ullam totam laborum autem quam ipsum laboriosam maxime impedit officiis! Asperiores quo nihil, quisquam, consectetur voluptatem ipsum.</div>
                        <div>Facere quia repudiandae, dignissimos quod deserunt maxime voluptatem quaerat ut doloribus explicabo culpa consequatur est architecto exercitationem obcaecati iste nam voluptate excepturi. Veniam, odio. Odio distinctio tempore sapiente! Aspernatur, dicta.</div>
                        <div>Sapiente modi aut assumenda sed eos officia quidem doloremque asperiores, nulla rerum tempora corporis iure dicta nam unde. Harum at repellendus, consequuntur sed eligendi voluptates accusamus dolore? Eius, minima. Aperiam.</div>
                        <div>Consectetur animi delectus deleniti autem facilis ab, tempore ut nesciunt assumenda quasi. Dolor ullam tenetur cumque maxime explicabo sequi officia optio. Ea asperiores ducimus, sit eum minus enim nobis doloremque.</div>
                    </div>
                </div>
            </div>
        </div>
      </div>
    )
  }
}

ContentMovies = translate(ContentMovies);

/*******************************************************************************/

class ContentGames extends React.Component {

  render() {

    return (
      <div className="content-wrapper">
        <div className="content-title">{this.props.element.name}</div>
        <div className="content-container">
            <div className="content-container-scales">
                <Scale title="Gameplay" contentId={this.props.element.id} contentType={this.props.type} scaleType="gameplay"/>
                <Scale title="Durées de vie" contentId={this.props.element.id} contentType={this.props.type} scaleType="lifespan"/>
            </div>
            <div className="content-container-data">
                <div className="content-container-data-container">
                    <div className="content-container-metadata"></div>
                    <div className="content-container-picture">
                        <img src={this.props.element.picture} alt=""/>
                    </div>
                </div>
                <div className="content-container-description-container">
                    <div className="content-container-description-title">
                        <translate>Description</translate>
                    </div>
                    <div className="content-container-description">
                        <div>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minus ab neque sed, temporibus similique suscipit expedita ipsa animi blanditiis maxime quaerat, nesciunt eos voluptate doloribus accusantium vero in? Veritatis, fugit.</div>
                        <div>Animi odit repellat quibusdam unde consectetur architecto iste error corrupti, harum nostrum doloremque, incidunt quae eligendi esse tenetur explicabo atque amet laborum et qui sapiente nam, omnis tempore voluptatibus temporibus.</div>
                        <div>Inventore optio, accusamus eligendi corporis minima voluptates molestias assumenda, numquam tempore obcaecati! Est esse quibusdam minus at, nisi voluptatem! Iure modi officiis qui laudantium laborum quasi quo error, cupiditate est!</div>
                        <div>Accusamus obcaecati, incidunt iure sapiente nostrum libero praesentium tempore minus autem illum repellendus tempora eos quasi laudantium, reprehenderit illo inventore aperiam ratione harum fuga molestiae, facilis id, perferendis recusandae repellat.</div>
                        <div>Reiciendis eaque neque, ea non mollitia, nemo vero unde ullam saepe libero magnam nisi delectus quam laboriosam. Atque repudiandae impedit quo reiciendis eius, expedita iste, ipsa, sit quia laudantium dolorem.</div>
                        <div>Voluptatem ipsum nam mollitia modi deserunt vero incidunt, ex rem. Dolorem optio consectetur voluptatibus perferendis nemo assumenda at perspiciatis veniam enim exercitationem, est nobis sunt possimus adipisci corrupti vitae ipsum.</div>
                        <div>Odit temporibus iste necessitatibus quis libero, sequi deserunt architecto exercitationem, impedit tenetur a ducimus natus ex laboriosam obcaecati, quia earum, eveniet ad autem molestias voluptatum tempora dolores! Esse ullam, non.</div>
                        <div>Adipisci vero dolore modi corrupti sapiente quos tenetur explicabo eos et hic ratione reiciendis cumque labore, assumenda fuga dolorem doloremque necessitatibus cum voluptas harum, numquam, praesentium doloribus eius! Adipisci, repellat?</div>
                        <div>Veniam delectus enim perspiciatis quisquam sed repudiandae non sint nisi, possimus rerum ratione, illum ducimus deserunt quos natus eaque rem cumque officiis facere ullam, a at voluptate praesentium architecto. Pariatur.</div>
                        <div>Ea quo, modi deleniti illum itaque? Similique qui, possimus expedita architecto iste laborum et eum laboriosam? Dicta facere impedit aperiam nisi, voluptatibus aliquid quam! Velit at culpa, odit autem odio.</div>
                        <div>Consequuntur, molestiae dicta blanditiis ipsa aperiam repellendus neque, magni temporibus quis numquam iste saepe nemo veritatis, tempore ullam impedit facere. Cupiditate dolorem dicta eveniet sunt, porro totam, doloremque. Nobis, dignissimos.</div>
                        <div>Alias atque assumenda reiciendis tempore minima incidunt saepe consequatur odio itaque optio sapiente distinctio amet sed ex dicta quam accusamus ipsa possimus, delectus quasi fugiat nemo tenetur vero cumque. Repudiandae?</div>
                        <div>Nam, distinctio esse, dicta maxime autem, officiis sequi mollitia praesentium soluta earum ex excepturi laudantium debitis dolor. Voluptas reiciendis, nesciunt harum minus vel. Iusto eius rerum corrupti, suscipit qui necessitatibus?</div>
                        <div>Aliquam minus incidunt nihil corrupti, ab. Qui, in temporibus corporis perspiciatis sunt sequi nesciunt quam. Sit labore vitae, cum commodi ex eaque unde totam praesentium magnam aut magni et, nisi!</div>
                        <div>Facere reprehenderit repudiandae, quaerat quo minus, optio esse at nam iure explicabo rem temporibus, aut. Expedita itaque, doloremque ducimus praesentium fugit incidunt dolores adipisci harum. Maiores cupiditate tempora, reiciendis placeat.</div>
                        <div>Ullam, corporis asperiores magni quaerat laboriosam officia fugiat perspiciatis doloremque illo, et iste corrupti id ipsa accusamus sed labore. Alias at, optio eos magni harum dignissimos perferendis incidunt laudantium quae.</div>
                        <div>Rem ab amet, ratione quaerat incidunt optio fugit nam molestias alias expedita nihil ullam totam laborum autem quam ipsum laboriosam maxime impedit officiis! Asperiores quo nihil, quisquam, consectetur voluptatem ipsum.</div>
                        <div>Facere quia repudiandae, dignissimos quod deserunt maxime voluptatem quaerat ut doloribus explicabo culpa consequatur est architecto exercitationem obcaecati iste nam voluptate excepturi. Veniam, odio. Odio distinctio tempore sapiente! Aspernatur, dicta.</div>
                        <div>Sapiente modi aut assumenda sed eos officia quidem doloremque asperiores, nulla rerum tempora corporis iure dicta nam unde. Harum at repellendus, consequuntur sed eligendi voluptates accusamus dolore? Eius, minima. Aperiam.</div>
                        <div>Consectetur animi delectus deleniti autem facilis ab, tempore ut nesciunt assumenda quasi. Dolor ullam tenetur cumque maxime explicabo sequi officia optio. Ea asperiores ducimus, sit eum minus enim nobis doloremque.</div>
                    </div>
                </div>
            </div>
        </div>
      </div>
    )
  }
}

ContentGames = translate(ContentGames);

/*******************************************************************************/

class ContentSeries extends React.Component {

  render() {

    return (
      <div className="content-wrapper">
        <div className="content-title">{this.props.element.name}</div>
        <div className="content-container">
            <div className="content-container-scales">
                <Scale title="scenario" contentId={this.props.element.id} contentType={this.props.type} scaleType="scenario"/>
                <Scale title="FX" contentId={this.props.element.id} contentType={this.props.type} scaleType="fx"/>
            </div>
            <div className="content-container-data">
                <div className="content-container-data-container">
                    <div className="content-container-metadata"></div>
                    <div className="content-container-picture">
                        <img src={this.props.element.picture} alt=""/>
                    </div>
                </div>
                <div className="content-container-description-container">
                    <div className="content-container-description-title">
                        <translate>Description</translate>
                    </div>
                    <div className="content-container-description">
                        <div>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minus ab neque sed, temporibus similique suscipit expedita ipsa animi blanditiis maxime quaerat, nesciunt eos voluptate doloribus accusantium vero in? Veritatis, fugit.</div>
                        <div>Animi odit repellat quibusdam unde consectetur architecto iste error corrupti, harum nostrum doloremque, incidunt quae eligendi esse tenetur explicabo atque amet laborum et qui sapiente nam, omnis tempore voluptatibus temporibus.</div>
                        <div>Inventore optio, accusamus eligendi corporis minima voluptates molestias assumenda, numquam tempore obcaecati! Est esse quibusdam minus at, nisi voluptatem! Iure modi officiis qui laudantium laborum quasi quo error, cupiditate est!</div>
                        <div>Accusamus obcaecati, incidunt iure sapiente nostrum libero praesentium tempore minus autem illum repellendus tempora eos quasi laudantium, reprehenderit illo inventore aperiam ratione harum fuga molestiae, facilis id, perferendis recusandae repellat.</div>
                        <div>Reiciendis eaque neque, ea non mollitia, nemo vero unde ullam saepe libero magnam nisi delectus quam laboriosam. Atque repudiandae impedit quo reiciendis eius, expedita iste, ipsa, sit quia laudantium dolorem.</div>
                        <div>Voluptatem ipsum nam mollitia modi deserunt vero incidunt, ex rem. Dolorem optio consectetur voluptatibus perferendis nemo assumenda at perspiciatis veniam enim exercitationem, est nobis sunt possimus adipisci corrupti vitae ipsum.</div>
                        <div>Odit temporibus iste necessitatibus quis libero, sequi deserunt architecto exercitationem, impedit tenetur a ducimus natus ex laboriosam obcaecati, quia earum, eveniet ad autem molestias voluptatum tempora dolores! Esse ullam, non.</div>
                        <div>Adipisci vero dolore modi corrupti sapiente quos tenetur explicabo eos et hic ratione reiciendis cumque labore, assumenda fuga dolorem doloremque necessitatibus cum voluptas harum, numquam, praesentium doloribus eius! Adipisci, repellat?</div>
                        <div>Veniam delectus enim perspiciatis quisquam sed repudiandae non sint nisi, possimus rerum ratione, illum ducimus deserunt quos natus eaque rem cumque officiis facere ullam, a at voluptate praesentium architecto. Pariatur.</div>
                        <div>Ea quo, modi deleniti illum itaque? Similique qui, possimus expedita architecto iste laborum et eum laboriosam? Dicta facere impedit aperiam nisi, voluptatibus aliquid quam! Velit at culpa, odit autem odio.</div>
                        <div>Consequuntur, molestiae dicta blanditiis ipsa aperiam repellendus neque, magni temporibus quis numquam iste saepe nemo veritatis, tempore ullam impedit facere. Cupiditate dolorem dicta eveniet sunt, porro totam, doloremque. Nobis, dignissimos.</div>
                        <div>Alias atque assumenda reiciendis tempore minima incidunt saepe consequatur odio itaque optio sapiente distinctio amet sed ex dicta quam accusamus ipsa possimus, delectus quasi fugiat nemo tenetur vero cumque. Repudiandae?</div>
                        <div>Nam, distinctio esse, dicta maxime autem, officiis sequi mollitia praesentium soluta earum ex excepturi laudantium debitis dolor. Voluptas reiciendis, nesciunt harum minus vel. Iusto eius rerum corrupti, suscipit qui necessitatibus?</div>
                        <div>Aliquam minus incidunt nihil corrupti, ab. Qui, in temporibus corporis perspiciatis sunt sequi nesciunt quam. Sit labore vitae, cum commodi ex eaque unde totam praesentium magnam aut magni et, nisi!</div>
                        <div>Facere reprehenderit repudiandae, quaerat quo minus, optio esse at nam iure explicabo rem temporibus, aut. Expedita itaque, doloremque ducimus praesentium fugit incidunt dolores adipisci harum. Maiores cupiditate tempora, reiciendis placeat.</div>
                        <div>Ullam, corporis asperiores magni quaerat laboriosam officia fugiat perspiciatis doloremque illo, et iste corrupti id ipsa accusamus sed labore. Alias at, optio eos magni harum dignissimos perferendis incidunt laudantium quae.</div>
                        <div>Rem ab amet, ratione quaerat incidunt optio fugit nam molestias alias expedita nihil ullam totam laborum autem quam ipsum laboriosam maxime impedit officiis! Asperiores quo nihil, quisquam, consectetur voluptatem ipsum.</div>
                        <div>Facere quia repudiandae, dignissimos quod deserunt maxime voluptatem quaerat ut doloribus explicabo culpa consequatur est architecto exercitationem obcaecati iste nam voluptate excepturi. Veniam, odio. Odio distinctio tempore sapiente! Aspernatur, dicta.</div>
                        <div>Sapiente modi aut assumenda sed eos officia quidem doloremque asperiores, nulla rerum tempora corporis iure dicta nam unde. Harum at repellendus, consequuntur sed eligendi voluptates accusamus dolore? Eius, minima. Aperiam.</div>
                        <div>Consectetur animi delectus deleniti autem facilis ab, tempore ut nesciunt assumenda quasi. Dolor ullam tenetur cumque maxime explicabo sequi officia optio. Ea asperiores ducimus, sit eum minus enim nobis doloremque.</div>
                    </div>
                </div>
            </div>
        </div>
      </div>
    )
  }
}

ContentSeries = translate(ContentSeries);

/*******************************************************************************/

class ContentComponent extends React.Component {
  render() {

    let sidebar = '';
    if (this.props.type === "home") {
      sidebar = 'hide';
    }

    let content;

    if (this.props.element !== null && this.props.element !== undefined) {

      switch (this.props.type) {
        case "movies":
          content = <ContentMovies element={this.props.element} type="movies" />
          break;
        case "games":
          content = <ContentGames element={this.props.element} type="games" />
          break;
        case "series":
          content = <ContentSeries element={this.props.element} type="series" />
          break;
        default:
          content = '';
          break;
      }

    } else {

      content = '';
    }

    return (
      <div className="content">
          <div className={"sidebar-wrapper "+sidebar}>
            <Sidebar type={this.props.type} />
          </div>
          {content}
      </div>
    )
  }
}

ContentComponent = translate(ContentComponent);

/******************************************************************/

const mapStateToProps = (state, ownProps) => {

  let element = null;

  try {
    element = state.content[state.selection.type][state.selection.id];
    element['id'] = state.selection.id;
  } catch(Exception) {}

  return {
    element : element
  }
};

const mapDispatchToProps = (dispatch, ownProps) => {
  return {

    }
  };

const Content = connect(
  mapStateToProps,
  mapDispatchToProps,
)(ContentComponent);

export default Content;
