import React from "react";
import translate from 'redux-polyglot/translate';
import { connect } from 'react-redux';
import { actionChangeScale } from '../actions/content';
import {Icon} from 'react-fa';
import "../styles/scale.scss";

class ScaleComponent extends React.Component {

    render() {

        return (
            <div className="scale-container">
                <div className="scale-container-title">{this.props.title}</div>
                <div className="scale-container-data">
                    <Icon className="scale-icon" name="thumbs-down"/>
                    <input type="range" className="scale" value={this.props.value} min="-100" max="100" onChange={this.props.onScaleChange.bind(this)} />
                    <Icon className="scale-icon" name="thumbs-up"/>
                </div>
            </div>
        )
    }
}

ScaleComponent = translate(ScaleComponent);

/******************************************************************/

const mapStateToProps = (state, ownProps) => {

  return {
        value : state.content[ownProps.contentType][ownProps.contentId]['scales'][ownProps.scaleType]
  }
};

const mapDispatchToProps = (dispatch, ownProps) => {
  return {
    onScaleChange : (event) => {
        let value = event.target.value;
        dispatch(actionChangeScale(ownProps.contentId , ownProps.contentType, ownProps.scaleType, value));
    }
  }
};

const Scale = connect(
  mapStateToProps,
  mapDispatchToProps,
)(ScaleComponent);

export default Scale;
