import React from "react";
import translate from 'redux-polyglot/translate';
import { connect } from 'react-redux';
import { actionChangeSelection } from '../actions/selection';
import "../styles/sidebar.scss"
import Scale from './scale';

class SidebarComponent extends React.Component {
  render() {

    switch (this.props.type) {
      case 'movies':
          var sidebarListTitle = <translate span>Movies</translate>;
      break;
      case 'series':
          var sidebarListTitle = <translate span>Series</translate>;
      break;
      case 'games':
          var sidebarListTitle = <translate span>Games</translate>;
      break;
      default:
        var sidebarList = 'nop';
        var sidebarListTitle = <translate span>Unknown</translate>;
      break;

    }

    let elements = this.props.elements ? this.props.elements : {};

    return (
          <div className="sidebar">
            <div className="sidebar-title">{sidebarListTitle}</div>
            <div className="sidebar-container">
                {Object.keys(elements).map(function(elementId) {
                    return <div key={elementId} className="sidebar-container-item" onClick={ () => {this.props.onClickItem(this.props.type, elementId)} }>{elements[elementId].name}</div>
                }, this)}
            </div>
          </div>
      )
  }
}

SidebarComponent = translate(SidebarComponent);

/******************************************************************/

const mapStateToProps = (state, ownProps) => {

  return {
    elements : state.content[ownProps.type]
  }
};

const mapDispatchToProps = (dispatch, ownProps) => {
  return {
      onClickItem : (type, elementId) => {
        dispatch(actionChangeSelection(type, elementId))
      }
    }
  };

const Sidebar = connect(
  mapStateToProps,
  mapDispatchToProps,
)(SidebarComponent);

export default Sidebar;
