import {
	ACTION_CHANGE_CONNECTION_STATE,
    ACTION_SUBSCRIBE,
	CONNECTION_STATE_NOT_CONNECTED,
	CONNECTION_STATE_CONNECTED,
	CONNECTION_STATE_ON_LOGIN,
	CONNECTION_STATE_ON_SUBSCRIBING
} from "../actions/connection"

import { makeCorsRequest } from '../utils/httpRequests'
import { parseJSON } from '../utils/formatting'
import { setCookie } from '../utils/cookie'

function postUser(values) {

    makeCorsRequest({
        method : 'POST',
        url : 'http://api.rate-it.guern.eu/auth',
        data : {
            email : values.email,
            password : values.password
        }
    })
    .then(function(response){
        console.log(response);
        let data = parseJSON(response);
        if (data !== "") {
            setCookie("JWT", data.details.token, data.details.expiration);
        }
    })
    .catch(function(reason){
        console.log(reason);
    })
}


export function connected(state = CONNECTION_STATE_NOT_CONNECTED, action) {
  switch (action.type) {
    case ACTION_CHANGE_CONNECTION_STATE:
	  return action.connected
    case ACTION_SUBSCRIBE:
        postUser(action.formValues);
        return CONNECTION_STATE_ON_SUBSCRIBING
    default:
      return state;
  }
}
