import { ACTION_CHANGE_SCALE } from "../actions/content";

const initialState = {
    movies : {
        1 : {
            name : "Star Wars",
            picture : "http://fr.web.img2.acsta.net/c_215_290/pictures/15/04/09/12/10/228112.jpg",
            scales : {
                scenario : 100,
                fx : -80
            }
        },
        2 : {
            name : "Le Dernier Samouraï",
            picture : "https://s-media-cache-ak0.pinimg.com/originals/6f/b9/fd/6fb9fdf175235f93134cf103ac31cd88.jpg",
            scales : {
                scenario : 0,
                fx : 0
            }
        }
    },
    games : {
        1 : {
            name : "Mass effect",
            picture : "http://vignette1.wikia.nocookie.net/masseffect/images/5/5c/Mass_Effect_Original_Poster.jpg/revision/latest?cb=20100110143249",
            scales : {
                gameplay : -40,
                lifespan : 20
            }
        },
        2 : {
            name : "The Binding of Isaac",
            picture : "https://images-eds-ssl.xboxlive.com/image?url=8Oaj9Ryq1G1_p3lLnXlsaZgGzAie6Mnu24_PawYuDYIoH77pJ.X5Z.MqQPibUVTcfaZSZJrD9C3A6Wf4YTRVHTuk_1XSk2O2NuJD.Ta_Poy.LO.C07xQqCcXAjQFxRXDCcg5YD0787b.apHRahxxv_zxmZP6MsG_gIwSMb48YwhjWSVbdx0miRyb1hVuPP_a7mTGi3pSoWrCR9UJnSmeDpQ4rNzaRVVgoooKnnvWb9k-&w=200&h=300&format=jpg",
            scales : {
                gameplay : 0,
                lifespan : 0
            }
        }
    },
    series : {
        1 : {
            name : "WestWorld",
            picture : "https://images-na.ssl-images-amazon.com/images/M/MV5BMTEyODk5NTc2MjNeQTJeQWpwZ15BbWU4MDQ5NTgwOTkx._V1_UY1200_CR90,0,630,1200_AL_.jpg",
            scales : {
                scenario : 12,
                fx : -18
            }
        },
        2 : {
            name : "Stranger Things",
            picture : "https://images-na.ssl-images-amazon.com/images/M/MV5BMjEzMDAxOTUyMV5BMl5BanBnXkFtZTgwNzAxMzYzOTE@._V1_UY1200_CR90,0,630,1200_AL_.jpg",
            scales : {
                scenario : 0,
                fx : 0
            }
        }
    },

};

export function content(state=initialState, action) {

    switch (action.type) {
        case ACTION_CHANGE_SCALE:
            let cloneState = { ...state };

            if (Object.keys(cloneState).indexOf(action.contentType) !== -1
                && Object.keys(cloneState[action.contentType]).indexOf(action.contentId) !== -1
                && Object.keys(cloneState[action.contentType][action.contentId]['scales']).indexOf(action.scaleType) !== -1 ) {

                cloneState[action.contentType][action.contentId]['scales'][action.scaleType] = parseInt(action.value);
            }

            return cloneState;
        default:
            return state;
    }
}
