import { ACTION_SWITCH_LANG } from "../actions/lang";
import { ACTION_CHANGE_SCALE } from '../actions/content';
import locales from "./locales";
import { createPolyglotMiddleware } from 'redux-polyglot';
import throttleActions from "redux-throttle-actions";

export const throttleMiddleware = throttleActions([ ACTION_CHANGE_SCALE ], 100);

let lang = "en";

export const polyglotMiddleware = createPolyglotMiddleware(
    ACTION_SWITCH_LANG,
    function(action) {
        lang = action.lang;
        return action.lang;
    },
    function(locale) {
        return new Promise(
            resolve => {
                resolve(locales[lang]);
            }
        )
    }
)
