// Create the XHR object.
function createCORSRequest(method, url) {
  var xhr = new XMLHttpRequest();
  if ("withCredentials" in xhr) {
    // XHR for Chrome/Firefox/Opera/Safari.
    xhr.open(method, url, true);
  } else if (typeof XDomainRequest != "undefined") {
    // XDomainRequest for IE.
    xhr = new XDomainRequest();
    xhr.open(method, url);
  } else {
    // CORS not supported.
    xhr = null;
  }
  return xhr;
}

// Make the actual CORS request.
export function makeCorsRequest(request) {
    console.log(request);
  // This is a sample server that supports CORS.
  let url = request.hasOwnProperty('url') ? request.url : '#' ;
  let query = request.hasOwnProperty('query') ? request.query : {};
  let method = request.hasOwnProperty('method') ? request.method : 'GET' ;
  let data = request.hasOwnProperty('data') ? request.data : {} ;
  let params = '';


  let queryParams = Object.keys(query).map(function(key, index) {
    return key+"="+query[key]
  });
  url = queryParams.length ? (url+"?"+queryParams.join('&')) : url;

  if (method != 'GET') {
      params = Object.keys(data).map(function(key, index) {
        return key+"="+data[key]
      });
      params = params.join('&');
  }

  return new Promise(function(resolve, reject) {

      let xhr = createCORSRequest(method, url);
      xhr.withCredentials = true;
      //Send the proper header information along with the request
      xhr.setRequestHeader("Content-type", "application/x-www-form-urlencoded");

      if (!xhr) {
        reject('CORS not supported');
      }

      // Response handlers.
      xhr.onload = function() {
        let text = xhr.responseText;
        resolve(text);
      };

      xhr.onerror = function() {
        reject('Woops, there was an error making the request.');
      };

      xhr.send(params);

  });
}
